Perform various operations for Symitar parameters.
Operations
searchWorkFlowRepGenPagedSelectFields
POST
Search WorkFlowRepGen parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
QuerystringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalLoading fields…
POST
/nexum/{sym}/2022.01/parameter/searchWorkFlowRepGenPagedSelectFieldsPOST /nexum/627/2022.01/parameter/searchWorkFlowRepGenPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"Query": "string",
"SelectableFields": {
"WorkFlowRepGenFields": {
"Specfile": true,
"SpecfileName": true,
"SpecfileDescription": true
}
}
}updateWorkFlowRepGenByID
POST
Update WorkFlowRepGen parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
WorkFlowRepGenSpecfileintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/parameter/updateWorkFlowRepGenByIDPOST /nexum/627/2022.01/parameter/updateWorkFlowRepGenByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"WorkFlowRepGenSpecfile": 0,
"WorkFlowRepGenUpdatableFields": {
"Type": 0,
"Description": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}